<template>
  <div>
    <input type="text" placeholder="First Name" v-model="firstName">
    <input type="text" placeholder="Last Name" v-model="lastName">
  </div>
  <PersonGreeting :firstName="firstName" :lastName="lastName" @callHeroes="callheroes" />
</template>

<script>
    import { ref } from "vue";
import PersonGreeting from './PersonGreeting.vue';
export default {
    name: 'PersonComponent',
    components: { PersonGreeting },
    setup(){
        const firstName = ref('')
        const lastName = ref('')

        function callheroes(hero){
          alert(`Calling ${hero}`)
        }

        return{
            firstName,
            lastName,
            callheroes
        }
    }
}
</script>

<style>

</style>